콘텐츠로 건너뛰기

Recraft 20b

통합

모델 id recraft-20b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft-20b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.022 22 API 크레딧 이 페이지에서 실행

API 키 받기
Recraft 텍스트를 이미지로 #image-generation#vector-art#typograph#style

벡터 및 디지털 일러스트를 포함한 다양한 스타일과 색상 힌트를 선택할 수 있는 텍스트-이미지 모델

Recraft · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 1000
image_size 기본값 square_hd
기본값 realistic_image

생성 이미지에 적용할 시각적 스타일입니다.

고급 style_id · enable_safety_checker · colors

사용자 지정 스타일 참조의 선택적 식별자입니다.

기본값 []

선호 색상을 포함하는 배열입니다.

POST /run/recraft-20b?wait=20 견적 → $0.022
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft-20b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Recraft 20b 정보

최대 1000자의 프롬프트로 이미지를 생성합니다. `style` 매개변수는 사실적 이미지, 디지털 일러스트 및 벡터 일러스트 전반의 다양한 옵션을 제공하고 `style_id`는 사용자 지정 스타일을 참조합니다. `colors` 배열로 선호 색상을 제안할 수 있으며 `image_size`는 정사각형, 세로 및 가로 프리셋을 제공합니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 1,000자
image_size선택 사항
유형object
기본값square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
style선택 사항
유형enum
기본값realistic_image
anyrealistic_imagedigital_illustrationvector_illustrationrealistic_image/b_and_wrealistic_image/enterpriserealistic_image/hard_flashrealistic_image/hdrrealistic_image/motion_blurrealistic_image/natural_lightrealistic_image/studio_portraitdigital_illustration/2d_art_posterdigital_illustration/2d_art_poster_2digital_illustration/3ddigital_illustration/80sdigital_illustration/engraving_color
+21개 더 보기digital_illustration/glowdigital_illustration/graindigital_illustration/hand_drawndigital_illustration/hand_drawn_outlinedigital_illustration/handmade_3ddigital_illustration/infantile_sketchdigital_illustration/kawaiidigital_illustration/pixel_artdigital_illustration/psychedelicdigital_illustration/seamlessdigital_illustration/voxeldigital_illustration/watercolorvector_illustration/cartoonvector_illustration/doodle_line_artvector_illustration/engravingvector_illustration/flat_2vector_illustration/kawaiivector_illustration/line_artvector_illustration/line_circuitvector_illustration/linocutvector_illustration/seamless
생성 이미지에 적용할 시각적 스타일입니다.
colors선택 사항
유형object[]
기본값[]
선호 색상을 포함하는 배열입니다.
colors[].r선택 사항
유형integer
기본값0
0 – 255
빨간색 구성 요소의 값입니다.
colors[].g선택 사항
유형integer
기본값0
0 – 255
초록색 구성 요소의 값입니다.
colors[].b선택 사항
유형integer
기본값0
0 – 255
파란색 구성 요소의 값입니다.
style_id선택 사항
유형string | null
사용자 지정 스타일 참조의 선택적 식별자입니다.
enable_safety_checker선택 사항
유형boolean
기본값false
안전 검사 스위치입니다. 끔 설정에는 계정 인증이 필요합니다. 인증이 없으면 설정과 관계없이 모든 요청을 검사하며, true는 검사기를 활성화합니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft-20b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 22,
    "usd": "0.022",
    "charged": 22,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size}

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/recraft-20b.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt